import request from "@/utils/request";

/**
 * 服务企业技术需求列表
 * @param params
 * @return {*}
 */
export const technologyDemandList = (params) =>
  request({
    url: "/app/broker/enterprise/technologyDemandList",
    method: "GET",
    params,
  });

/**
 * 新增企业精神需求
 * @param data
 * @return {*}
 */
export const insertDemand = (data) =>
  request({
    url: "/app/broker/enterprise/insertDemand",
    method: "POST",
    data,
  });

export const getTechnologyDemandUpdateStatus = (params) =>
  request({
    url: "/app/broker/enterprise/demandProcess",
    method: "GET",
    params,
  });

export const updateDemandProcess = (
  data // 修改企业技术需求
) =>
  request({
    url: "/app/broker/enterprise/updateDemandProcess",
    method: "PUT",
    data,
  });
